////////////////////////
/// IF Jumps Shaders ///
////////////////////////
///// By |TNC|Ditto ////
////////////////////////


//------------------------------Ice------------------------------


textures/If_common/x2:q3map 
{
	surfaceparm nodamage
	surfaceparm solid
	surfaceparm slick
	cull twosided
{
	map textures/If_common/x2.jpg
}
}


//---------------------------water-------------------------------


textures/If_common/tele:q3map
{	
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	qer_trans 0.50
{
	map textures/If_common/tele.jpg
}
}



//-------------------------nonsolid------------------------------

textures/If_common/x3:q3map
{
	surfaceparm nonsolid
{
	map textures/If_common/x2.jpg
}
}



//-----------------------------Nodamage----------------------------


textures/If_common/iffloor:q3map
{ 
	surfaceparm nodamage
	surfaceparm nolightmap
{
	map textures/If_common/iffloor.jpg
}
}

textures/If_common/iffloor1:q3map
{ 
	surfaceparm nodamage
	surfaceparm nolightmap
{
	map textures/If_common/iffloor.tga
}
}



textures/If_common/green:q3map
{ 
	surfaceparm nodamage
{
	map textures/If_common/green.jpg
}
}


textures/If_common/blue:q3map
{ 
	surfaceparm nodamage
	surfaceparm nolightmap
{
	map textures/If_common/blue.jpg
}
}



textures/If_common/bluewall:q3map
{ 
	surfaceparm nodamage
{
	map textures/If_common/bluewall.jpg
}
}



//----------------------stige------------------------------


textures/If_common/stige3
{
   qer_editorimage textures/If_common/stige2.tga
   qer_trans .40
   surfaceparm ladder
   surfaceparm nodraw
   surfaceparm nolightmap
   surfaceparm nonsolid
   surfaceparm trans
   surfaceparm nomarks
   surfaceparm noimpact
   surfaceparm playerclip
}



//flames taken from eagle


textures/If_common/sw_flame1
{
	
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 7500
	qer_editorimage textures/eagle/flame1.tga
	

	{
		animMap 10 textures/eagle/flame1.tga textures/eagle/flame2.tga textures/eagle/flame3.tga textures/eagle/flame4.tga textures/eagle/flame5.tga textures/eagle/flame6.tga textures/eagle/flame7.tga textures/eagle/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/eagle/flame2.tga textures/eagle/flame3.tga textures/eagle/flame4.tga textures/eagle/flame5.tga textures/eagle/flame6.tga textures/eagle/flame7.tga textures/eagle/flame8.tga textures/eagle/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/eagle/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

//delvis gjennomsiktig

textures/If_common/metal34
	
{
	surfaceparm metalsteps	
	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/If_common/metal34.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}



textures/If_common/metall5
	
{
	surfaceparm metalsteps	
	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm playerclip	
	cull none
        nopicmip
	{
		map textures/If_common/metall5.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}



//--------------light----------------------------

textures/If_common/lys
{
	qer_editorimage textures/If_common/lys.tga
	surfaceparm nodamage
	q3map_surfaceLight 50000
	{
		map textures/If_common/lys.tga
	}
}


//---------------------------------autosprite-------------------------------------

textures/If_common/tree44
{
        qer_editorimage textures/If_common/tree44.tga
        
        surfaceparm nonsolid
        surfaceparm nomarks
        surfaceparm trans

        cull none

        deformvertexes autosprite

        {
                map textures/If_common/tree44.tga
                blendfunc blend
        }
}


//dag

textures/If_common/Dag
{
        qer_editorimage textures/If_common/Dag.tga
        
        surfaceparm solid
        surfaceparm nomarks
        surfaceparm trans

        cull none

        deformvertexes autosprite

        {
                map textures/If_common/Dag.tga
                blendfunc blend
        }
}


//god_bedring

textures/If_common/god_bedring
{
        qer_editorimage textures/If_common/god_bedring.tga
        
        surfaceparm solid
        surfaceparm nomarks
        surfaceparm trans

        cull none

        deformvertexes autosprite

        {
                map textures/If_common/god_bedring.tga
                blendfunc blend
        }
}


//playerclip

textures/If_common/playerclip
{
	qer_trans 0.20
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm nodamage
}


textures/If_common/playerclip_slick
{
	qer_trans 0.20
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm nodamage
	surfaceparm slick
}